# `PhoenixKitWeb.Components.Core.OAuthCheckbox`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/oauth_checkbox.ex#L1)

Reusable component for OAuth provider checkboxes with conditional styling.

# `oauth_provider_checkbox`

Renders an OAuth provider checkbox with conditional disable styling.

## Attributes
- `provider` - The provider name (:google, :apple, :github, :facebook)
- `provider_label` - Display label for the provider (e.g., "Google Sign-In")
- `master_enabled` - Boolean indicating if OAuth master switch is enabled
- `provider_enabled` - Boolean indicating if this specific provider is enabled

## Attributes

* `provider` (`:atom`) (required)
* `provider_label` (`:string`) (required)
* `master_enabled` (`:boolean`) (required)
* `provider_enabled` (`:boolean`) (required)

---

*Consult [api-reference.md](api-reference.md) for complete listing*
